Bug 1022735 - Review Request: truecommons-parent - Renaming from schlichtherle-oss-parent
Review Request: truecommons-parent - Renaming from schlichtherle-oss-parent
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-23 17:32 EDT by Gerard Ryan
Modified: 2013-10-28 23:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-24 16:17:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Gerard Ryan 2013-10-23 17:32:24 EDT
Spec URL: http://galileo.fedorapeople.org/truecommons-parent/truecommons-parent.spec
SRPM URL: http://galileo.fedorapeople.org/truecommons-parent/truecommons-parent-67-1.fc21.src.rpm
Description: Parent POM for Open Source Software projects hosted on java.net.
Fedora Account System Username: galileo

This review is to rename the existing package schlichtherle-oss-parent to its updated name upstream.
See [1] for git history. Follows on from previous package, so if necessary it should be easy to see what I've changed since the previously latest version in Fedora.

[1] https://github.com/grdryn/truecommons-parent-rpm
Comment 1 Gerard Ryan 2013-10-23 17:49:21 EDT
@gil: thanks for taking this. I've just noticed a small problem that I'm fixing with a missing BR. I'll have an updated spec/srpm uploaded in a minute. Sorry about that!
Comment 2 gil cattaneo 2013-10-23 17:52:18 EDT
net.sourceforge.findbugs:annotations ?

[ERROR] Failed to execute goal on project truecommons-parent: Could not resolve dependencies for project net.java.truecommons:truecommons-parent:pom:67: Cannot access central (http://repo.maven.apache.org/maven2) in offline mode and the artifact net.sourceforge.findbugs:annotations:jar:any has not been downloaded from it before. -> [Help 1]
Comment 4 gil cattaneo 2013-10-23 18:12:06 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
  Note: No javadoc subpackage present
  See: https://fedoraproject.org/wiki/Packaging:Java#Javadoc_installation
- Javadoc documentation files are generated and included in -javadoc
  subpackage
  Note: No javadoc subpackage present
  See: https://fedoraproject.org/wiki/Packaging:Java#Javadoc_installation
IGNORE the package contains only the parent pom project truecommons

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)". Detailed output of licensecheck in /home/gil/1022735
     -truecommons-parent/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Pom files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: truecommons-parent-67-2.fc21.noarch.rpm
          truecommons-parent-67-2.fc21.src.rpm
truecommons-parent.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint truecommons-parent
truecommons-parent.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
truecommons-parent (rpmlib, GLIBC filtered):
    jpackage-utils
    mvn(net.sourceforge.findbugs:annotations)
    mvn(org.apache.maven.plugins:maven-enforcer-plugin)
    mvn(org.sonatype.oss:oss-parent)



Provides
--------
truecommons-parent:
    mvn(net.java.truecommons:truecommons-parent)
    mvn(net.java.truecommons:truecommons-parent:pom:)
    schlichtherle-oss-parent
    truecommons-parent



Source checksums
----------------
http://central.maven.org/maven2/net/java/truecommons/truecommons-parent/67/truecommons-parent-67.pom :
  CHECKSUM(SHA256) this package     : c461856c3bb5e682f490f2fbbc6c356b6882c9b919ce461b8057368411072e8d
  CHECKSUM(SHA256) upstream package : c461856c3bb5e682f490f2fbbc6c356b6882c9b919ce461b8057368411072e8d


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 1022735 -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG


NON blocking issues:
[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[!]: Package does not include license text files separate from upstream.

please, open a bug @ https://java.net/jira/browse/TRUECOMMONS
to include license text at https://hg.java.net/hg/truecommons~parent
regards

approved
Comment 5 Gerard Ryan 2013-10-23 18:30:10 EDT
New Package SCM Request
=======================
Package Name: truecommons-parent
Short Description: Parent POM for Open Source Software projects
Owners: galileo
Branches: f20
InitialCC: java-sig
Comment 6 Gerard Ryan 2013-10-23 18:30:40 EDT
(In reply to gil cattaneo from comment #4)
> [!]: If the source package does not include license text(s) as a separate
> file
>      from upstream, the packager SHOULD query upstream to include it.
> [!]: Package does not include license text files separate from upstream.
> 
> please, open a bug @ https://java.net/jira/browse/TRUECOMMONS
> to include license text at https://hg.java.net/hg/truecommons~parent

Will do. Thanks a lot for the review!
Comment 7 Gwyn Ciesla 2013-10-24 08:01:20 EDT
Git done (by process-git-requests).
Comment 8 Gerard Ryan 2013-10-24 16:17:06 EDT
Built in rawhide, thanks guys!

Note You need to log in before you can comment on or make changes to this bug.